Subject: Re[2]: Building-dll doc file
From: [email-masked]

29 Jan 1997 10:11:06 -0800
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: TEXT/PLAIN
Original-To: [email-masked], [email-masked]
Original-Sender: [email-masked]

     
LD still fails, but thank you very much Gunther.

pascal

______________________________ Reply Separator _________________________________
Subject: Re: Building-dll doc file
Author:  [email-masked] at INTERNET
Date:    28/01/1997 11:03

[email-masked] wrote: 
>
>      Ooops, ok done.
>
>      But now ld crashes : access_violation at C0...05 !!!!! 
>
>      It looks like an old problem with ld, but I do not remember if there 
>      is any workaround.
     
I've no idea why ld crashes but I forgot to tell you an important thing: 
The dll which would be created by your command lines would not work 
because
there is no entry point specified. ld sets a default entry point in this 
case
and it is nearly impossible to say what happens on dll startup (ok, it 
shouldn't
have anything to do with the ld crash, but who knows ...) 
Please make sure that you have written a dll startup routine
     
BOOL WINAPI dll_entry(HANDLE, DWORD, LPVOID) 
{
   return TRUE;  /* if you don't have to do any dll initialization
                    stuff this function just has to return TRUE */
}
     
and tell the linker what the dll startup routine is:
     
ld -e _dll_entry@12 <your ld options>
     
Maybe this fixes your problem.

Gunther
________________________________________________________
MIMEsweeper has scanned this message and its attachments
and found it to be free of all known viruses.

[email-masked]
http://www.integralis.com

          Innovation, Integration, Integralis
________________________________________________________
-
For help on using this list, send a message to
"[email-masked]" with one line of text: "help".